Deprecated: Get managed integrations
Base URL
https://{kibana_url}
GET
/api/fleet/agentless_policies
GET
/s/{space_id} /api/fleet/agentless_policies
Auth
Stack
Experimental
9.5+
The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.
Availability
Experimental since 9.5
This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply.
Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.
This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Deprecated. Use GET /api/fleet/managed_integrations instead. List managed integrations
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
page
number
Page number. Defaults to 1.
perPage
number
Number of results per page. Defaults to 20.
sortField
string · max length: 256
Field to sort results by. Defaults to updated_at.
sortOrder
enum
Sort order, ascending or descending. Defaults to desc.
Values:
desc
asc
kuery
string · max length: 4096
A KQL query string to filter results. Filtering is restricted to the following fields: name, namespace, package.name.
200
Indicates a successful response
application/json
items
object [] · max items: 10000
required
−
Hide 15 properties
additional_datastreams_permissions
string [] · max items: 1000
Additional data stream permissions granted to the managed integration.
cloud_connector
object
+
Show 2 properties
cloud_connector_id
string · max length: 255
required
The ID of the cloud connector.
enabled
boolean
required
Whether the cloud connector is active for this policy.
created_at
string · max length: 64
required
Creation timestamp (ISO 8601).
created_by
string · max length: 1024
required
User who created the policy.
description
string · max length: 2048
Managed integration description.
global_data_tags
object [] · max items: 100
Custom data tags applied to all data produced by this policy.
+
Show 2 properties
id
string · max length: 255
required
Managed integration unique identifier.
inputs
map string to object
required
Package policy inputs. Refer to the integration documentation to know which inputs are available.
name
string · max length: 255
required
Managed integration name.
namespace
string · max length: 100
Policy namespace. Defaults to the agent policy namespace.
package
object
required
−
Hide 3 properties
name
string · max length: 255
required
Integration package name.
title
string · max length: 255
required
Integration package display title.
version
string · max length: 50
required
Integration package version.
updated_at
string · max length: 64
required
Last update timestamp (ISO 8601).
updated_by
string · max length: 1024
required
User who last updated the policy.
var_group_selections
map string to string
Variable group selections. Maps var_group name to the selected option name within that group.
<string>
string · max length: 1024
vars
map string to anyOf
Input/stream level variable. Refer to the integration documentation for more information.
<string>
union anyOf · default: null
+
Show 1 property
Any of:
string[]
string
number[]
number
boolean
{ id, isSecretRef }
−
Hide 2 properties
id
string · max length: 255
required
isSecretRef
boolean
required
attributes
object
required